Package org.acplt.oncrpc

# Interface HasEncoding<T>

Type Parameters:
  `T` - normally an enum type that has to be transmitted as int and supports imutable fixed size instances.

public interface HasEncoding<T>
needed for transmitting java enums via RPC

Author:
  zelgerpe

## Method Summary

Modifier and Type
Method
Description
`int`
`getEncoding()`
`HasEncoding<T>[]`
`getValues()`

## Method Details

### getEncoding

int getEncoding()

### getValues

HasEncoding<T>[] getValues()